Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMask Class Reference

`#include <vtkImageMask.h>`

Inheritance diagram for vtkImageMask:

[legend]
Collaboration diagram for vtkImageMask:

[legend]
List of all members.

## Detailed Description

Combines a mask and an image.

Date:
  2002/02/13 15:46:18

Revision:
  1.33

vtkImageMask combines a mask with an image. Non zero mask implies the output pixel will be the same as the image. If a mask pixel is zero, the the output pixel is set to "MaskedValue". The filter also has the option to pass the mask through a boolean not operation before processing the image. This reverses the passed and replaced pixels. The two inputs should have the same "WholeExtent". The mask input should be unsigned char, and the image scalar type is the same as the output scalar type.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (67%)
  - Martin, Ken (9%)
  - Blezek, Dan (8%)
  - Lorensen, Bill (6%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageMask.h)`
  - .`cxx` (`/Imaging/vtkImageMask.cxx)`

Tests:
  vtkImageMask (Tests)

Definition at line 55 of file vtkImageMask.h.

## Public Types
typedef vtkImageTwoInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetImageInput (vtkImageData *in)
void | SetMaskInput (vtkImageData *in)
void | SetMaskedOutputValue (int num, float *v)
void | SetMaskedOutputValue (float v)
void | SetMaskedOutputValue (float v1, float v2)
void | SetMaskedOutputValue (float v1, float v2, float v3)
float * | GetMaskedOutputValue ()
int | GetMaskedOutputValueLength ()
virtual void | SetMaskAlpha (float)
virtual float | GetMaskAlpha ()
virtual void | SetNotMask (int)
virtual int | GetNotMask ()
virtual void | NotMaskOn ()
virtual void | NotMaskOff ()
## Static Public Methods
vtkImageMask * | New ()
int | IsTypeOf (const char *type)
vtkImageMask * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMask ()
| ~vtkImageMask ()
void | ExecuteInformation (vtkImageData **inDatas, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
float * | MaskedOutputValue
int | MaskedOutputValueLength
int | NotMask
float | MaskAlpha

## Member Typedef Documentation

typedef vtkImageTwoInputFilter vtkImageMask::Superclass

| Reimplemented from vtkImageTwoInputFilter. Definition at line 59 of file vtkImageMask.h.

## Constructor & Destructor Documentation

vtkImageMask::vtkImageMask | ( |  | ) | `[protected]`

vtkImageMask::~vtkImageMask | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageMask* vtkImageMask::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageMask::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageTwoInputFilter.

int vtkImageMask::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

virtual int vtkImageMask::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

vtkImageMask* vtkImageMask::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageTwoInputFilter.

void vtkImageMask::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageTwoInputFilter.

void vtkImageMask::SetMaskedOutputValue | ( | int | num,
|  | float * | v
| ) |

| SetGet the value of the output pixel replaced by mask.

void vtkImageMask::SetMaskedOutputValue | ( | float | v | ) | `[inline]`

| SetGet the value of the output pixel replaced by mask. Definition at line 65 of file vtkImageMask.h.

void vtkImageMask::SetMaskedOutputValue | ( | float | v1,
|  | float | v2
| ) | `[inline]`

| SetGet the value of the output pixel replaced by mask. Definition at line 66 of file vtkImageMask.h.

void vtkImageMask::SetMaskedOutputValue | ( | float | v1,
|  | float | v2,
|  | float | v3
| ) | `[inline]`

| SetGet the value of the output pixel replaced by mask. Definition at line 68 of file vtkImageMask.h.

float* vtkImageMask::GetMaskedOutputValue | ( |  | ) | `[inline]`

| SetGet the value of the output pixel replaced by mask. Definition at line 70 of file vtkImageMask.h.

int vtkImageMask::GetMaskedOutputValueLength | ( |  | ) | `[inline]`

| SetGet the value of the output pixel replaced by mask. Definition at line 71 of file vtkImageMask.h.

virtual void vtkImageMask::SetMaskAlpha | ( | float |  | ) | `[virtual]`

| Set/Get the alpha blending value for the mask The input image is assumed to be at alpha = 1.0 and the mask image uses this alpha to blend using an over operator.

virtual float vtkImageMask::GetMaskAlpha | ( |  | ) | `[virtual]`

| Set/Get the alpha blending value for the mask The input image is assumed to be at alpha = 1.0 and the mask image uses this alpha to blend using an over operator.

void vtkImageMask::SetImageInput | ( | vtkImageData * | in | ) | `[inline]`

| Set the input to be masked. Definition at line 83 of file vtkImageMask.h. References vtkImageTwoInputFilter::SetInput1().

void vtkImageMask::SetMaskInput | ( | vtkImageData * | in | ) | `[inline]`

| Set the mask to be used. Definition at line 86 of file vtkImageMask.h. References vtkImageTwoInputFilter::SetInput2().

virtual void vtkImageMask::SetNotMask | ( | int |  | ) | `[virtual]`

| When Not Mask is on, the mask is passed through a boolean not before it is used to mask the image. The effect is to pass the pixels where the input mask is zero, and replace the pixels where the input value is non zero.

virtual int vtkImageMask::GetNotMask | ( |  | ) | `[virtual]`

| When Not Mask is on, the mask is passed through a boolean not before it is used to mask the image. The effect is to pass the pixels where the input mask is zero, and replace the pixels where the input value is non zero.

virtual void vtkImageMask::NotMaskOn | ( |  | ) | `[virtual]`

| When Not Mask is on, the mask is passed through a boolean not before it is used to mask the image. The effect is to pass the pixels where the input mask is zero, and replace the pixels where the input value is non zero.

virtual void vtkImageMask::NotMaskOff | ( |  | ) | `[virtual]`

| When Not Mask is on, the mask is passed through a boolean not before it is used to mask the image. The effect is to pass the pixels where the input mask is zero, and replace the pixels where the input value is non zero.

void vtkImageMask::ExecuteInformation | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageMask::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 108 of file vtkImageMask.h. References vtkImageMultipleInputFilter::ExecuteInformation().

void vtkImageMask::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

## Member Data Documentation

float* vtkImageMask::MaskedOutputValue`[protected]`

| Definition at line 102 of file vtkImageMask.h.

int vtkImageMask::MaskedOutputValueLength`[protected]`

| Definition at line 103 of file vtkImageMask.h.

int vtkImageMask::NotMask`[protected]`

| Definition at line 104 of file vtkImageMask.h.

float vtkImageMask::MaskAlpha`[protected]`

| Definition at line 105 of file vtkImageMask.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageMask.h